// RGBDlg.cpp : implementation file
//

#include "stdafx.h"
#include "RGB Prev.h"
#include "RGBDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRGBDlg dialog


CRGBDlg::CRGBDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CRGBDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CRGBDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CRGBDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CRGBDlg)
	DDX_Control(pDX, IDC_STATIC_PAINT, m_ctlPaintStatic);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CRGBDlg, CDialog)
	//{{AFX_MSG_MAP(CRGBDlg)
	ON_WM_VSCROLL()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRGBDlg message handlers

BOOL CRGBDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	// Initial values for RGB macro.
	nColor[0] = 0;
	nColor[1] = 94;
	nColor[2] = 150;
	

	CSliderCtrl*	pSlider[3];
	CString			szColorValue;
	int				i;

	for (i=0; i < 3; i++)
	{
		pSlider[i] = (CSliderCtrl*) GetDlgItem(IDC_SLIDER1 + i);
		pSlider[i]->SetRange(0, 255);
		pSlider[i]->SetPos(nColor[i]);
		szColorValue.Format("%d", nColor[i]);
		SetDlgItemText(i + IDC_EDIT1, szColorValue);
	}
	
	
		
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CRGBDlg::OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar) 
{
	CSliderCtrl* pSlider = (CSliderCtrl*) pScrollBar;
	CString szColorValue;
	int i = pSlider->GetDlgCtrlID () - IDC_SLIDER1;

	// Now, nColor = current SliderPosValue
	nColor[i] = pSlider->GetPos();
	szColorValue.Format("%d", nColor[i]);

	SetDlgItemText(i + IDC_EDIT1, szColorValue);
	
	// Get a pointer to the static window.
	CStatic* pStatic = &m_ctlPaintStatic;
	pStatic->UpdateWindow();
	pStatic->Invalidate();
		
	CDialog::OnVScroll(nSBCode, nPos, pScrollBar);
}
